Loading...
Searching...
No Matches
osmo_gad Struct Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.

`#include <gad.h>`

## Data Fields

enum gad_type | type
union { |
struct osmo_gad_ell_point ell_point |
struct osmo_gad_ell_point_unc_circle ell_point_unc_circle |
struct osmo_gad_ell_point_unc_ellipse ell_point_unc_ellipse |
struct osmo_gad_polygon polygon |
struct osmo_gad_ell_point_alt ell_point_alt |
struct osmo_gad_ell_point_alt_unc_ell ell_point_alt_unc_ell |
struct osmo_gad_ell_arc ell_arc |
struct osmo_gad_ell_point_unc_ellipse ha_ell_point_unc_ellipse |
struct osmo_gad_ha_ell_point_alt_unc_ell ha_ell_point_alt_unc_ell |
}; |

## Field Documentation

## [union]

union { ... } osmo_gad

## ell_arc

struct osmo_gad_ell_arc osmo_gad::ell_arc

## ell_point

struct osmo_gad_ell_point osmo_gad::ell_point

Referenced by osmo_gad_to_str_buf().

## ell_point_alt

struct osmo_gad_ell_point_alt osmo_gad::ell_point_alt

## ell_point_alt_unc_ell

struct osmo_gad_ell_point_alt_unc_ell osmo_gad::ell_point_alt_unc_ell

## ell_point_unc_circle

struct osmo_gad_ell_point_unc_circle osmo_gad::ell_point_unc_circle

Referenced by osmo_gad_enc(), and osmo_gad_to_str_buf().

## ell_point_unc_ellipse

struct osmo_gad_ell_point_unc_ellipse osmo_gad::ell_point_unc_ellipse

## ha_ell_point_alt_unc_ell

struct osmo_gad_ha_ell_point_alt_unc_ell osmo_gad::ha_ell_point_alt_unc_ell

## ha_ell_point_unc_ellipse

struct osmo_gad_ell_point_unc_ellipse osmo_gad::ha_ell_point_unc_ellipse

## polygon

struct osmo_gad_polygon osmo_gad::polygon

## type

enum gad_type osmo_gad::type

Referenced by osmo_gad_dec(), osmo_gad_enc(), and osmo_gad_to_str_buf().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gad.h